﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;

    public class BusinessLogic {
        public IEnumerable<Product> GetProducts() {
            using (NorthwindDataContext db = new NorthwindDataContext()) {

                IEnumerable<Product> prods = db.Products.ToList();
                foreach (Product p in prods)
                {
                   Category c =  p.Category;
                }
                return prods;
            }
        }

        public void InsertProducts(Product p)
        {
            using (NorthwindDataContext db = new NorthwindDataContext()) {
                db.Products.InsertOnSubmit(p);
                db.SubmitChanges();
            }
        }

        public void DeleteProducts(Product p)
        {
            using (NorthwindDataContext db = new NorthwindDataContext()) {
                db.Products.DeleteOnSubmit(p);
                db.SubmitChanges();
            }
        }

        public void UpdateProducts(Product p)
        {
            using (NorthwindDataContext db = new NorthwindDataContext()) {
                db.Products.Attach(p, true);
                db.SubmitChanges();
            }
        }

        public IEnumerable<Order> GetOrders()
        {
            using (NorthwindDataContext db = new NorthwindDataContext())
            {
                return db.Orders.ToList();
            }
        }

        public void InsertOrder(Order o)
        {
            using (NorthwindDataContext db = new NorthwindDataContext())
            {
                db.Orders.InsertOnSubmit(o);
                db.SubmitChanges();
            }
        }

        public void DeleteOrder(Order o)
        {
            using (NorthwindDataContext db = new NorthwindDataContext())
            {
                db.Orders.DeleteOnSubmit(o);
                db.SubmitChanges();
            }
        }

        public void UpdateOrder(Order o)
        {
            using (NorthwindDataContext db = new NorthwindDataContext())
            {
                db.Orders.Attach(o, true);
                db.SubmitChanges();
            }
        }
    }

